var express = require('express');
var router = express.Router();

/* GET home page. */
router.get('/', function (req, res, next) {
  const project = [
    {
      img: "/images/projects/Advent_Of_Code_Logo.jpg",
      title: "Advent of code",
      des: "My solutions for AOC",
      link: "https://gitlab.com/homep/advent_of_code"
    },
    {
      img: "/images/projects/password_manager.jpeg",
      title: "Password manager",
      des: "CLI app",
      link: "https://gitlab.com/homep/password_manager"
    },
    {
      img: "/images/projects/list.jpeg",
      title: "My watch/game list",
      des: "",
      link: "/list"
    },
    {
      img: "/images/logo.png",
      title: "Server",
      des: "Everything running on my server",
      link: "https://gitlab.com/homep/server"
    },
    {
      img: "/images/projects/projektna_naloga.jpeg",
      title: "Highway Tracker",
      des: "School project",
      link: "https://gitlab.com/school221/projektna_naloga"
    },
    {
      img: "/images/projects/media_player.jpeg",
      title: "Media player",
      des: "WPF",
      link: "https://gitlab.com/school221/semester_3/uporabniski_vmesniki"
    },
    {
      img: "/images/projects/bitshift.jpeg",
      title: "BitShifters",
      des: "unity",
      link: "https://gitlab.com/school221/semester_4/razvoj_programskih_sistemov/bitshifters"
    },
    {
      img: "/images/projects/tetris.jpeg",
      title: "Tetris",
      des: "WPF",
      link: "https://gitlab.com/school221/semester_4/razvoj_programskih_sistemov/tetrisrps"
    },
    {
      img: "/images/projects/games.jpeg",
      title: "Games",
      des: "java",
      link: "https://gitlab.com/school221/semester_5/uvod_v_razvoj_racunalniskih_iger"
    }
  ];
  const experience = [
    {
      title: "RRC d.o.o [ Developer ]",
      time: "18/03/2024 - 31/05/2024",
      des: "Student practicum. Backend in java with frontend in ext JS and jQuery",
    },
    {
      title: "LightAct [ Developer/IT ]",
      time: "01/07/2022 - 01/09/2022",
      des: "I helped maintaining data base, worked on the application (integrated a capture card and IP camera), assembled new server rack, installed new UTP/power connectors in the office",
    },
    {
      title: "Institute 404 [ Mentor ]",
      time: "08/06/2020 - 19/06/2020",
      des: "I helped primary school children with their projects with soldering, laser cutting, and building.",
    },
    {
      title: "Hella Saturnos d.o.o. [ Maintenance technician ]",
      time: "04/09/2018 - 18/01/2019",
      des: "I maintained and repaired machines from plastic presses to personal stations.",
    },
    {
      title: "Best Western Premier Hotel Slon [ Maintenance technician ]",
      time: "01/03/2018 - 04/05/2018",
      des: "I helped with setting up the conference/event rooms. I helped customers and fixed problems like replacing light bulbs, wall sockets, hair-dryers.",
    }
  ];
  const education = [
    {
      title: "(FERI) Faculty of Electrical Engineering and Computer Science, University of Maribor",
      time: "01/10/2021 - CURRENT",
      des: "Graduate engineer of computer science and information technology",
    },
    {
      title: "(SŠTS Šiška) Secondary school of technical professions šiška",
      time: "01/09/2016 - 07/07/2021",
      des: "Electrotechnician",
    }
  ];

  res.render('main/2_0', { title: 'Nikola Petrov', disableBootStrap: true, project, experience, education });
});

router.get('/old', function (req, res, next) {
  res.render('main/1_0', { title: 'Nikola Petrov' });
});

router.get('/mail', function (req, res, next) {
  res.redirect('https://privateemail.com/');
});

router.get('/list', function (req, res, next) {
  res.render('list', { title: 'List' });
});

router.get('/cash', function (req, res, next) {
  res.render('cash', { title: 'Cash' });
});

router.get('/wake', function (req, res, next) {
  res.render('wake', { title: 'Cash' });
});

const checkAuthenticated = require('../middleware/checkAuthenticated.js');
const wakeOnLan = require('@mi-sec/wol');
router.post('/wake', checkAuthenticated, function (req, res) {
  wakeOnLan(req.user.mac_address, {
    address: '255.255.255.255',
    packets: 1,
    interval: 100,
    port: 9
  });
  res.render('wake', { message: 'Waking up' });
});

const userRouter = require('./user');
//router.use('/user', userRouter);

module.exports = router;